package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.RPCBody;
import io.accumulatenetwork.sdk.protocol.Url;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("TxHistoryQuery")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TxHistoryQuery implements RPCBody {
	private Url url;
	private long start;
	private long count;
	private boolean scratch;

    //
	public Url getUrl() {
	    return url;
	}
	public void setUrl(final Url value) {
	    this.url = value;
	}

	public TxHistoryQuery url(final Url value) {
	    setUrl(value);
	    return this;
	}
	public TxHistoryQuery url(final String value) {
	    setUrl(Url.toAccURL(value));
	    return this;
	}
	public long getStart() {
	    return start;
	}
	public void setStart(final long value) {
	    this.start = value;
	}

	public TxHistoryQuery start(final long value) {
	    setStart(value);
	    return this;
	}
	public long getCount() {
	    return count;
	}
	public void setCount(final long value) {
	    this.count = value;
	}

	public TxHistoryQuery count(final long value) {
	    setCount(value);
	    return this;
	}
	public boolean getScratch() {
	    return scratch;
	}
	public void setScratch(final boolean value) {
	    this.scratch = value;
	}

	public TxHistoryQuery scratch(final boolean value) {
	    setScratch(value);
	    return this;
	}
}
